GET
/api/v202302/widget/itemrank/{specificWidgetId}
Gets the bar rank and tree map widgets.
GetItemRankV202302
Path Parameters
| Name |
Description |
Type |
Required |
| specificWidgetId |
The specific widget id |
integer (int32) |
Required |
Query Parameters
| Name |
Description |
Type |
Required |
| filter |
The widget filters |
string (string) |
Optional |
Filters
| Filter |
Description |
Type |
Operators |
| accountId |
|
Integer |
equals
|
| budgetVersionId |
|
Integer |
equals
|
| Channel |
Channel |
String |
equals
|
| chartType |
Chart Type |
String |
equals
|
| commodityCategoryID |
|
Integer |
equals
|
| commodityId |
|
Integer |
equals
|
| cumulative |
Display as Cumulative |
Boolean |
equals
|
| DataPointID |
|
Integer |
equals
|
| emissionSourceId |
|
Integer |
equals
|
| EsaChannelID |
|
Integer |
equals
|
| esaIntervalWidgetGroupBy |
Group By |
String |
equals
|
| includeAccountCharges |
Include Account Charges |
Boolean |
equals
|
| includeAccruals |
Include Accruals |
Boolean |
equals
|
| meterGroupInfo |
Meter Group Display |
String |
equals
|
| meterId |
|
Integer |
equals
|
| numberOfYears |
|
Integer |
equals
|
| placeGroupId |
|
Integer |
equals
|
| placeGroupName |
Place Group Name |
String |
equals
|
| rateId |
|
Integer |
equals
|
| readingDate |
Reading Date |
DateTime |
equals
between
today
yesterday
last 7 days
last 14 days
last 30 days
last 60 days
last 90 days
|
| Schedule |
Schedule |
String |
equals
|
| topmostCollectionId |
|
Integer |
equals
|
| topmostCostCenterId |
|
Integer |
equals
|
| topmostPlaceCode |
Topmost Place Code |
String |
equals
|
| topmostPlaceId |
|
Integer |
equals
|
| topmostPlaceName |
Topmost Place Name |
String |
equals
|
| vendorId |
|
Integer |
equals
|
Responses
Response Body Parameters
AggregatedItemRankResponse
| Property |
Description |
Type |
| dataDetails |
The data details |
ItemRankResponse[] |
|
ItemRankResponse properties
| Property |
Description |
Type |
| display |
The item display name |
string |
| id |
The item identifier |
integer (int32) |
| secondaryDisplay |
The item formated value |
string |
| type |
The item type |
string |
| value |
The item value |
number (double) |
|
| displayUnit |
The display unit of the values |
string |
| period |
|
PeriodRange |
|
PeriodRange properties
| Property |
Description |
Type |
| endPeriod |
The end period for the range |
integer (int32) |
| startPeriod |
The start period for the range |
integer (int32) |
|
{ "dataDetails": [
{ "display": "string", "id": 1, "secondaryDisplay": "string", "type": "string", "value": 1.0
}
], "displayUnit": "string", "period": { "endPeriod": 1, "startPeriod": 1
}
}